
DeadDrop - Test #70

Refactoring # 43 (New): Refactorings V0.5

Implement basic UnitTests for scCore, ddCommons and ddDB

10/24/2023 10:37 PM - Sancho Fock

Status: Closed Start date: 10/28/2023

Priority: Normal Due date: 10/28/2023

Assignee: Sancho Fock % Done: 100%

Category: Doku Estimated time: 40:00 hours

Target version: 0.5.x   

Description

History

#1 - 10/24/2023 10:38 PM - Sancho Fock

- Tracker changed from Refactoring to Test

#2 - 10/24/2023 10:40 PM - Sancho Fock

- Due date set to 10/25/2023

- Start date changed from 10/24/2023 to 10/25/2023

- Follows Refactoring #67: UI: Check Tab Order added

#3 - 10/24/2023 10:41 PM - Sancho Fock

- Follows deleted (Refactoring #67: UI: Check Tab Order)

#4 - 10/24/2023 10:41 PM - Sancho Fock

- Due date changed from 10/25/2023 to 10/24/2023

- Start date changed from 10/25/2023 to 10/24/2023

- Follows Feature #59: DeployScript added

#5 - 10/24/2023 10:42 PM - Sancho Fock

- Follows deleted (Feature #59: DeployScript)

#6 - 10/24/2023 10:42 PM - Sancho Fock

- Related to Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore added

#7 - 10/24/2023 10:43 PM - Sancho Fock

- Related to deleted (Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore)

#8 - 10/24/2023 10:43 PM - Sancho Fock

- Due date changed from 10/24/2023 to 10/27/2023

- Start date changed from 10/24/2023 to 10/27/2023

- Follows Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore added

#9 - 10/24/2023 10:44 PM - Sancho Fock

- Follows deleted (Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore)

#10 - 10/24/2023 10:44 PM - Sancho Fock

- Due date changed from 10/27/2023 to 11/09/2023

- Start date changed from 10/27/2023 to 11/09/2023

- Follows Refactoring #47: Implement basic Unit Test for Client added
#11 - 10/24/2023 10:45 PM - Sancho Fock

- Precedes Refactoring #51: Simplecrypt: implement BinaryKey Version 2 added

#12 - 10/24/2023 10:45 PM - Sancho Fock

- Due date changed from 11/09/2023 to 11/13/2023

- Start date changed from 11/09/2023 to 11/13/2023

#13 - 10/24/2023 10:46 PM - Sancho Fock

- Due date changed from 11/13/2023 to 11/17/2023

- Estimated time changed from 16:00 h to 20:00 h

#14 - 10/26/2023 02:00 AM - Sancho Fock

- Due date changed from 11/17/2023 to 11/20/2023

- Start date changed from 11/13/2023 to 11/14/2023

#15 - 10/26/2023 04:01 PM - Sancho Fock

- Follows deleted (Refactoring #47: Implement basic Unit Test for Client)

#16 - 10/26/2023 04:01 PM - Sancho Fock

- Due date changed from 11/20/2023 to 11/02/2023

- Start date changed from 11/14/2023 to 10/27/2023

- Follows Refactoring #45: Document and Rework Object Model added

#17 - 10/26/2023 04:03 PM - Sancho Fock

- Due date changed from 11/02/2023 to 11/01/2023

- Status changed from New to In Progress

#18 - 10/26/2023 04:04 PM - Sancho Fock

- Precedes Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore added

#19 - 10/26/2023 04:05 PM - Sancho Fock

- Precedes deleted (Refactoring #51: Simplecrypt: implement BinaryKey Version 2)

#20 - 10/26/2023 04:10 PM - Sancho Fock

- Follows deleted (Refactoring #45: Document and Rework Object Model)

#21 - 10/26/2023 04:10 PM - Sancho Fock

- Due date changed from 11/01/2023 to 11/21/2023

- Start date changed from 10/27/2023 to 11/16/2023

- Follows Refactoring #47: Implement basic Unit Test for Client added

#22 - 10/27/2023 09:41 PM - Sancho Fock

- Due date changed from 11/21/2023 to 11/02/2023

- Start date changed from 11/16/2023 to 10/30/2023

#23 - 10/27/2023 09:42 PM - Sancho Fock

- Due date changed from 11/02/2023 to 11/09/2023

- Estimated time changed from 20:00 h to 40:00 h

#24 - 10/28/2023 07:40 PM - Sancho Fock

- Due date changed from 11/09/2023 to 10/30/2023

- Status changed from In Progress to Closed

#25 - 10/28/2023 07:40 PM - Sancho Fock
- Follows deleted (Refactoring #47: Implement basic Unit Test for Client)

#26 - 10/28/2023 07:41 PM - Sancho Fock

- Due date changed from 10/30/2023 to 10/28/2023

- Start date changed from 10/30/2023 to 10/28/2023

#27 - 10/28/2023 07:41 PM - Sancho Fock

- % Done changed from 0 to 100

#28 - 10/28/2023 08:25 PM - Sancho Fock

- Precedes Refactoring #51: Simplecrypt: implement BinaryKey Version 2 added

#29 - 10/28/2023 08:26 PM - Sancho Fock

- Precedes deleted (Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore)

#30 - 10/28/2023 08:27 PM - Sancho Fock

- Precedes deleted (Refactoring #51: Simplecrypt: implement BinaryKey Version 2)
